# class KIconCanvas | Icon canvas for KIconDialog. More...
Definition | `#include <kicondialog.h>`
Inherits | KIconView (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KIconCanvas (QWidget *parent=0L, const char *name=0L)
- ~KIconCanvas ()
- void loadFiles (QStringList files)
- QString getCurrent ()

#### Public Slots

- void stopLoading ()

#### Signals

- void nameChanged (QString)
- void startLoading (int)
- void progress (int)
- void finished ()

## Detailed Description

Icon canvas for KIconDialog.

KIconCanvas (QWidget *parent=0L, const char *name=0L) | ### KIconCanvas

~KIconCanvas () | ### ~KIconCanvas

void loadFiles (QStringList files) | ### loadFiles

QString getCurrent () | ### getCurrent

void stopLoading () | ### stopLoading

[slot]

void nameChanged (QString) | ### nameChanged

[signal]

void startLoading (int) | ### startLoading

[signal]

void progress (int) | ### progress

[signal]

void finished () | ### finished

[signal]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.